package ub.scp2.bo;

import java.util.List;

import ub.scp2.entities.Submission;
import ub.scp2.entities.Task;
import ub.scp2.entities.Test;
import ub.scp2.entities.User;

public interface SubmissionBo {

	public void deleteSubmissionsByUser(User user);

	public Submission getThisSubmission(Task task, User user);
	public List<String> runTest(Test test, User user);
	public List<String> compile(Submission submission, User user, Task task);
	public void cleanup(User user, Task task);
	
}
